## extra-cmake-modules-6.20.0-1.src.tar.gz

=== tests/ECMFindQmlModuleTest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(extra-cmake-modules)

set(ECM_FIND_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../find-modules)
set(ECM_MODULE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../modules)
set(CMAKE_MODULE_PATH "${ECM_FIND_MODULE_DIR}" "${ECM_MODULE_DIR}")

set(KDE_INSTALL_FULL_QMLDIR ${CMAKE_CURRENT_SOURCE_DIR}/qmlinstall)

include(QtVersionOption)
include(ECMFindQmlModule)

ecm_find_qmlmodule(${QML_MODULE_NAME} ${QML_MODULE_VERSION} ${QML_MODULE_FIND_ARGS})

if (EXPECTED_FOUND_VARAIBLE AND NOT org.kde.ecmtest-QMLModule_FOUND)
  message(WARNING "org.kde.ecmtest-QMLModule_FOUND: ${org.kde.ecmtest-QMLModule_FOUND}")
  message(FATAL_ERROR "Expected \"${QML_MODULE_NAME} ${QML_MODULE_VERSION} ${QML_MODULE_FIND_ARGS}\" to be found, but it is not found")
endif()
if (NOT EXPECTED_FOUND_VARAIBLE AND org.kde.ecmtest-QMLModule_FOUND)
  message(WARNING "org.kde.ecmtest-QMLModule_FOUND: ${org.kde.ecmtest-QMLModule_FOUND}")
  message(FATAL_ERROR "Expected \"${QML_MODULE_NAME} ${QML_MODULE_VERSION} ${QML_MODULE_FIND_ARGS}\" to be not found, but it is found")
endif()

if (QT_MAJOR_VERSION STREQUAL 6 AND org.kde.ecmtest-QMLModule_FOUND AND NOT "${org.kde.ecmtest-QMLModule_VERSION}" STREQUAL "2.0")
    message(FATAL_ERROR "Did not find correct version from qmldir")
endif()

add_executable(dummy main.c)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>

pkgname=extra-cmake-modules
pkgver=6.20.0
pkgrel=1
pkgdesc='Extra modules and scripts for CMake'
arch=(any)
url='https://community.kde.org/Frameworks'
license=(LGPL)
depends=(cmake)
makedepends=(python-requests
             python-sphinx
             qt6-tools)
optdepends=('python-pyxdg: to generate fastlane metadata for Android apps'
            'python-requests: to generate fastlane metadata for Android apps'
            'python-yaml: to generate fastlane metadata for Android apps')
groups=(kf6)
source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.sig})
sha256sums=('3711de8572db5da618efe3f28cc094ca25a1abb0bddffc63dced12c4f8caae5f'
            'SKIP')
            
validpgpkeys=(53E6B47B45CEA3E0D5B7457758D0EE648A48B3BB # David Faure <faure@kde.org>
              E0A3EB202F8E57528E13E72FD7574483BB57B18D # Jonathan Esk-Riddell <jr@jriddell.org>
              90A968ACA84537CC27B99EAF2C8DF587A6D4AAC1 # Nicolas Fella <nicolas.fella@kde.org>
              )

build() {
  cmake -B build -S $pkgname-$pkgver \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DBUILD_HTML_DOCS=ON \
    -DBUILD_QTHELP_DOCS=ON \
    -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
